%define upstream_name Mail_Mime
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.8.2
Release:     	%mkrel 2
Summary:    	Mail_Mime provides classes to create MIME messages
License: 	BSD Style
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Mail_Mime-%{version}.tgz
URL: 		http://pear.php.net/package/Mail_Mime
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear
BuildArch: 	noarch

%description
Mail_Mime provides classes to deal with the creation and manipulation of
MIME messages.
It allows people to create e-mail messages consisting of:
* Text Parts
* HTML Parts
* Inline HTML Images
* Attachments
* Attached messages

It supports big messages, base64 and quoted-printable encodings and
non-ASCII characters in filenames, subjects, recipients, etc. encoded
using RFC2047 and/or RFC2231.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Mail_Mime.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Mail_Mime.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Mail_Mime
fi

%files
%defattr(-,root,root)
%doc docs/Mail_Mime/*
%{peardir}/*
%{xmldir}/Mail_Mime.xml


%changelog

* Mon Jan 23 2012 spuhler <spuhler> 1.8.2-2.mga2
+ Revision: 200017
- pearized spec file
- upgrade to 1.8.2

* Sun Mar 27 2011 spuhler <spuhler> 1.8.0-2.mga1
+ Revision: 77924
- increase rel for rebuild

* Thu Jan 20 2011 spuhler <spuhler> 1.8.0-1.mga1
+ Revision: 25516
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Mail_Mime

